package com.example.pmulabs.api.model

import com.example.pmulabs.room.models.Comment
import kotlinx.serialization.Serializable

@Serializable
data class CommentRemote(
    val id: Int?=0,
    var text: String="",
    val userId: Int=0,
    val articleId: Int=0
)

fun CommentRemote.toComment(): Comment = Comment(
    id,
    text,
    userId,
    articleId
)

fun Comment.toCommentRemote(): CommentRemote = CommentRemote(
    id,
    text,
    userId,
    articleId
)