package com.example.pmulabs.api.model

import com.example.pmulabs.room.models.Tag
import kotlinx.serialization.Serializable

@Serializable
data class TagRemote(
    var title: String="",
    val id: Int?=0,
    val userId: Int=0
)

fun TagRemote.toTag(): Tag = Tag(
    title,
    id,
    userId
)

fun Tag.toTagRemote(): TagRemote = TagRemote(
    title,
    id,
    userId
)