package com.example.pmulabs.api.model

import com.example.pmulabs.room.models.User
import kotlinx.serialization.Serializable

@Serializable
data class UserRemote(
    val id: Int?=0,
    var nickname: String="",
    var email: String="",
    var password: String="",
    val role: String=""
)

fun UserRemote.toUser(): User = User(
    id,
    nickname,
    email,
    password,
    role
)

fun User.toUserRemote(): UserRemote = UserRemote(
    id,
    nickname,
    email,
    password,
    role
)